Subject: bug#40003: 27.0.70; Windows build is without jansson support

From: Phillip Lord <[email-masked]>
Date: Mon, 22 Jun 2020 16:53:25 +0100

Noam Postavsky <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Ivan Yonchovski <[email-masked]>
>>> Date: Mon, 09 Mar 2020 21:53:58 +0200
>>> 
>>> The native json/serialization seems to be one of the important features
>>> in the new upcomming 27 release. It will be great if the default GNU
>>> Emacs windows build has it.
>>
>> Phillip, are you looking into this?  I think I reported this a few
>> weeks ago.
>
> As far as I can tell, just the following would do the job:
>
> --- i/admin/nt/dist-build/build-dep-zips.py
> +++ w/admin/nt/dist-build/build-dep-zips.py
> @@ -32,6 +32,7 @@
>  PKG_REQ='''mingw-w64-x86_64-giflib
>  mingw-w64-x86_64-gnutls
>  mingw-w64-x86_64-harfbuzz
> +mingw-w64-x86_64-jansson
>  mingw-w64-x86_64-lcms2
>  mingw-w64-x86_64-libjpeg-turbo
>  mingw-w64-x86_64-libpng

Assuming that configure puts this in by default, yes, that should be it.

I am trying to build this against Emacs-28 at the moment. What test can
I run on Emacs-28 to let me know if it has worked?

After that, the decision is what to do for Emacs-27. I can add the
dependency, but it will require rebuilding the deps file which will
update *all* of the dependencies. Not a big problem in one sense, but we
are in the pre-release test phase, IIUC.

Phil